<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>TransformationPackageImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.transformation.profile.Transformation.impl;
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EClass;
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EPackage;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EReference;
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.EPackageImpl;
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.profile.Transformation.ApplyTransformation;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.profile.Transformation.DerivedElement;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafoChain;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationFactory;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.UMLPackage;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_javadoccomment"> * An implementation of the model &lt;b&gt;Package&lt;/b&gt;.</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html">TransformationPackageImpl</a> <strong class="jxr_keyword">extends</strong> EPackageImpl <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html">TransformationPackage</a> {
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  	<strong class="jxr_keyword">private</strong> EClass applyTransformationEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	<strong class="jxr_keyword">private</strong> EClass m2MTrafoEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  	<strong class="jxr_keyword">private</strong> EClass m2MTrafoChainEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  	<strong class="jxr_keyword">private</strong> EClass derivedElementEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 * Creates an instance of the model &lt;b&gt;Package&lt;/b&gt;, registered with</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment">	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_javadoccomment">	 * package URI value.</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <em class="jxr_javadoccomment">	 * &lt;p&gt;Note: the correct way to create the package is via the static</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment">	 * factory method {@link #init init()}, which also performs</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment">	 * initialization of the package, or returns the registered package,</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">	 * if one already exists.</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <em class="jxr_javadoccomment">	 * @see org.eclipse.emf.ecore.EPackage.Registry</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage#eNS_URI</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  <em class="jxr_javadoccomment">	 * @see #init()</em>
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  	<strong class="jxr_keyword">private</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html">TransformationPackageImpl</a>() {
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  		<strong class="jxr_keyword">super</strong>(eNS_URI, TransformationFactory.eINSTANCE);
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  	}
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">boolean</strong> isInited = false;
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 * Creates, registers, and initializes the &lt;b&gt;Package&lt;/b&gt; for this model, and for any others upon which it depends.</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <em class="jxr_javadoccomment">	 * </em>
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  <em class="jxr_javadoccomment">	 * &lt;p&gt;This method is used to initialize {@link TransformationPackage#eINSTANCE} when that field is accessed.</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  <em class="jxr_javadoccomment">	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.</em>
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  <em class="jxr_javadoccomment">	 * @see #eNS_URI</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  <em class="jxr_javadoccomment">	 * @see #createPackageContents()</em>
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  <em class="jxr_javadoccomment">	 * @see #initializePackageContents()</em>
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html">TransformationPackage</a> init() {
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  		<strong class="jxr_keyword">if</strong> (isInited) <strong class="jxr_keyword">return</strong> (TransformationPackage)EPackage.Registry.INSTANCE.getEPackage(TransformationPackage.eNS_URI);
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  		<em class="jxr_comment">// Obtain or create and register package</em>
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  		TransformationPackageImpl theTransformationPackage = (TransformationPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof TransformationPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : <strong class="jxr_keyword">new</strong> TransformationPackageImpl());
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  		isInited = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 		<em class="jxr_comment">// Initialize simple dependencies</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 		UMLPackage.eINSTANCE.eClass();
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 		<em class="jxr_comment">// Create package meta-data objects</em>
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 		theTransformationPackage.createPackageContents();
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 		<em class="jxr_comment">// Initialize created meta-data</em>
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 		theTransformationPackage.initializePackageContents();
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 		<em class="jxr_comment">// Mark meta-data to indicate it can't be changed</em>
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 		theTransformationPackage.freeze();
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 
<a class="jxr_linenumber" name="L113" href="#L113">113</a>   
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 		<em class="jxr_comment">// Update the registry and return the package</em>
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 		EPackage.Registry.INSTANCE.put(TransformationPackage.eNS_URI, theTransformationPackage);
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 		<strong class="jxr_keyword">return</strong> theTransformationPackage;
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 	}
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L120" href="#L120">120</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L121" href="#L121">121</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L122" href="#L122">122</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 	<strong class="jxr_keyword">public</strong> EClass getApplyTransformation() {
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 		<strong class="jxr_keyword">return</strong> applyTransformationEClass;
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 	}
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L129" href="#L129">129</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L130" href="#L130">130</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L131" href="#L131">131</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L132" href="#L132">132</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 	<strong class="jxr_keyword">public</strong> EReference getApplyTransformation_Trafo() {
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 		<strong class="jxr_keyword">return</strong> (EReference)applyTransformationEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 	}
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L138" href="#L138">138</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L139" href="#L139">139</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L140" href="#L140">140</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 	<strong class="jxr_keyword">public</strong> EReference getApplyTransformation_Base_Element() {
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 		<strong class="jxr_keyword">return</strong> (EReference)applyTransformationEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 	}
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L147" href="#L147">147</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L149" href="#L149">149</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 	<strong class="jxr_keyword">public</strong> EClass getM2MTrafo() {
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 		<strong class="jxr_keyword">return</strong> m2MTrafoEClass;
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 	}
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L156" href="#L156">156</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L157" href="#L157">157</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L158" href="#L158">158</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L159" href="#L159">159</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 	<strong class="jxr_keyword">public</strong> EReference getM2MTrafo_Base_Class() {
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 		<strong class="jxr_keyword">return</strong> (EReference)m2MTrafoEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 	}
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L165" href="#L165">165</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L166" href="#L166">166</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L167" href="#L167">167</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L168" href="#L168">168</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 	<strong class="jxr_keyword">public</strong> EClass getM2MTrafoChain() {
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 		<strong class="jxr_keyword">return</strong> m2MTrafoChainEClass;
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 	}
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L174" href="#L174">174</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L175" href="#L175">175</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L176" href="#L176">176</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L177" href="#L177">177</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 	<strong class="jxr_keyword">public</strong> EReference getM2MTrafoChain_Base_Class() {
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 		<strong class="jxr_keyword">return</strong> (EReference)m2MTrafoChainEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 	}
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L183" href="#L183">183</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L184" href="#L184">184</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L185" href="#L185">185</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L186" href="#L186">186</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 	<strong class="jxr_keyword">public</strong> EClass getDerivedElement() {
<a class="jxr_linenumber" name="L188" href="#L188">188</a> 		<strong class="jxr_keyword">return</strong> derivedElementEClass;
<a class="jxr_linenumber" name="L189" href="#L189">189</a> 	}
<a class="jxr_linenumber" name="L190" href="#L190">190</a> 
<a class="jxr_linenumber" name="L191" href="#L191">191</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L192" href="#L192">192</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L193" href="#L193">193</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L194" href="#L194">194</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L195" href="#L195">195</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 	<strong class="jxr_keyword">public</strong> EReference getDerivedElement_Base_Element() {
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 		<strong class="jxr_keyword">return</strong> (EReference)derivedElementEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 	}
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L201" href="#L201">201</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L202" href="#L202">202</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L203" href="#L203">203</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L204" href="#L204">204</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L205" href="#L205">205</a> 	<strong class="jxr_keyword">public</strong> EReference getDerivedElement_Source() {
<a class="jxr_linenumber" name="L206" href="#L206">206</a> 		<strong class="jxr_keyword">return</strong> (EReference)derivedElementEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 	}
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L210" href="#L210">210</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L211" href="#L211">211</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L212" href="#L212">212</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L213" href="#L213">213</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html">TransformationFactory</a> getTransformationFactory() {
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 		<strong class="jxr_keyword">return</strong> (TransformationFactory)getEFactoryInstance();
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 	}
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L219" href="#L219">219</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L220" href="#L220">220</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L222" href="#L222">222</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L223" href="#L223">223</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> isCreated = false;
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L226" href="#L226">226</a> <em class="jxr_javadoccomment">	 * Creates the meta-model objects for the package.  This method is</em>
<a class="jxr_linenumber" name="L227" href="#L227">227</a> <em class="jxr_javadoccomment">	 * guarded to have no affect on any invocation but its first.</em>
<a class="jxr_linenumber" name="L228" href="#L228">228</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L229" href="#L229">229</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L230" href="#L230">230</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L231" href="#L231">231</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L232" href="#L232">232</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> createPackageContents() {
<a class="jxr_linenumber" name="L233" href="#L233">233</a> 		<strong class="jxr_keyword">if</strong> (isCreated) <strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 		isCreated = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 
<a class="jxr_linenumber" name="L236" href="#L236">236</a> 		<em class="jxr_comment">// Create classes and their features</em>
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 		m2MTrafoEClass = createEClass(M2M_TRAFO);
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 		createEReference(m2MTrafoEClass, M2M_TRAFO__BASE_CLASS);
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 		m2MTrafoChainEClass = createEClass(M2M_TRAFO_CHAIN);
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 		createEReference(m2MTrafoChainEClass, M2M_TRAFO_CHAIN__BASE_CLASS);
<a class="jxr_linenumber" name="L242" href="#L242">242</a> 
<a class="jxr_linenumber" name="L243" href="#L243">243</a> 		applyTransformationEClass = createEClass(APPLY_TRANSFORMATION);
<a class="jxr_linenumber" name="L244" href="#L244">244</a> 		createEReference(applyTransformationEClass, APPLY_TRANSFORMATION__TRAFO);
<a class="jxr_linenumber" name="L245" href="#L245">245</a> 		createEReference(applyTransformationEClass, APPLY_TRANSFORMATION__BASE_ELEMENT);
<a class="jxr_linenumber" name="L246" href="#L246">246</a> 
<a class="jxr_linenumber" name="L247" href="#L247">247</a> 		derivedElementEClass = createEClass(DERIVED_ELEMENT);
<a class="jxr_linenumber" name="L248" href="#L248">248</a> 		createEReference(derivedElementEClass, DERIVED_ELEMENT__BASE_ELEMENT);
<a class="jxr_linenumber" name="L249" href="#L249">249</a> 		createEReference(derivedElementEClass, DERIVED_ELEMENT__SOURCE);
<a class="jxr_linenumber" name="L250" href="#L250">250</a> 	}
<a class="jxr_linenumber" name="L251" href="#L251">251</a> 
<a class="jxr_linenumber" name="L252" href="#L252">252</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L253" href="#L253">253</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L254" href="#L254">254</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L255" href="#L255">255</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L256" href="#L256">256</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L257" href="#L257">257</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> isInitialized = false;
<a class="jxr_linenumber" name="L258" href="#L258">258</a> 
<a class="jxr_linenumber" name="L259" href="#L259">259</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L260" href="#L260">260</a> <em class="jxr_javadoccomment">	 * Complete the initialization of the package and its meta-model.  This</em>
<a class="jxr_linenumber" name="L261" href="#L261">261</a> <em class="jxr_javadoccomment">	 * method is guarded to have no affect on any invocation but its first.</em>
<a class="jxr_linenumber" name="L262" href="#L262">262</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L263" href="#L263">263</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L264" href="#L264">264</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L265" href="#L265">265</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L266" href="#L266">266</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> initializePackageContents() {
<a class="jxr_linenumber" name="L267" href="#L267">267</a> 		<strong class="jxr_keyword">if</strong> (isInitialized) <strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 		isInitialized = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 
<a class="jxr_linenumber" name="L270" href="#L270">270</a> 		<em class="jxr_comment">// Initialize package</em>
<a class="jxr_linenumber" name="L271" href="#L271">271</a> 		setName(eNAME);
<a class="jxr_linenumber" name="L272" href="#L272">272</a> 		setNsPrefix(eNS_PREFIX);
<a class="jxr_linenumber" name="L273" href="#L273">273</a> 		setNsURI(eNS_URI);
<a class="jxr_linenumber" name="L274" href="#L274">274</a> 
<a class="jxr_linenumber" name="L275" href="#L275">275</a> 		<em class="jxr_comment">// Obtain other dependent packages</em>
<a class="jxr_linenumber" name="L276" href="#L276">276</a> 		UMLPackage theUMLPackage = (UMLPackage)EPackage.Registry.INSTANCE.getEPackage(UMLPackage.eNS_URI);
<a class="jxr_linenumber" name="L277" href="#L277">277</a> 
<a class="jxr_linenumber" name="L278" href="#L278">278</a> 		<em class="jxr_comment">// Create type parameters</em>
<a class="jxr_linenumber" name="L279" href="#L279">279</a> 
<a class="jxr_linenumber" name="L280" href="#L280">280</a> 		<em class="jxr_comment">// Set bounds for type parameters</em>
<a class="jxr_linenumber" name="L281" href="#L281">281</a> 
<a class="jxr_linenumber" name="L282" href="#L282">282</a> 		<em class="jxr_comment">// Add supertypes to classes</em>
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 		<em class="jxr_comment">// Initialize classes, features, and operations; add parameters</em>
<a class="jxr_linenumber" name="L285" href="#L285">285</a> 		initEClass(m2MTrafoEClass, M2MTrafo.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"M2MTrafo"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L286" href="#L286">286</a> 		initEReference(getM2MTrafo_Base_Class(), theUMLPackage.getClass_(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Class"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, M2MTrafo.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L287" href="#L287">287</a> 
<a class="jxr_linenumber" name="L288" href="#L288">288</a> 		initEClass(m2MTrafoChainEClass, M2MTrafoChain.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"M2MTrafoChain"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L289" href="#L289">289</a> 		initEReference(getM2MTrafoChain_Base_Class(), theUMLPackage.getClass_(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Class"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, M2MTrafoChain.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L290" href="#L290">290</a> 
<a class="jxr_linenumber" name="L291" href="#L291">291</a> 		initEClass(applyTransformationEClass, ApplyTransformation.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"ApplyTransformation"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L292" href="#L292">292</a> 		initEReference(getApplyTransformation_Trafo(), <strong class="jxr_keyword">this</strong>.getM2MTrafo(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"trafo"</span>, <strong class="jxr_keyword">null</strong>, 0, -1, ApplyTransformation.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L293" href="#L293">293</a> 		initEReference(getApplyTransformation_Base_Element(), theUMLPackage.getElement(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Element"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, ApplyTransformation.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 		initEClass(derivedElementEClass, DerivedElement.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"DerivedElement"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 		initEReference(getDerivedElement_Base_Element(), theUMLPackage.getElement(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Element"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, DerivedElement.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L297" href="#L297">297</a> 		initEReference(getDerivedElement_Source(), theUMLPackage.getElement(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"source"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, DerivedElement.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L298" href="#L298">298</a> 
<a class="jxr_linenumber" name="L299" href="#L299">299</a> 		<em class="jxr_comment">// Create resource</em>
<a class="jxr_linenumber" name="L300" href="#L300">300</a> 		createResource(eNS_URI);
<a class="jxr_linenumber" name="L301" href="#L301">301</a> 	}
<a class="jxr_linenumber" name="L302" href="#L302">302</a> 
<a class="jxr_linenumber" name="L303" href="#L303">303</a> } <em class="jxr_comment">//TransformationPackageImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
